Bug 403961 - Gdm crashes after chooser selection
Gdm crashes after chooser selection
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 02:03 EST by Philippe Troin
Modified: 2008-11-26 12:36 EST (History)
1 user (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:36:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix (426 bytes, patch)
2007-11-29 02:04 EST, Philippe Troin
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 500655 None None None Never

  None (edit)
Description Philippe Troin 2007-11-29 02:03:48 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set up gdm with a theme that display the remote login button (eg. circles) as
the default theme is very limited (ahem).
2. Click on "Remote login via XDMCP"
3. Pick a host that runs XDMCP
4. See gdm crash
5. The following is logged:
kernel: gdm-binary[10567]: segfault at 000004d0 eip 00885328 esp bf922a80 error 4
gdm-binary[10350]: WARNING: gdm_cleanup_children: child 10567 crashed of signal 11
gdm-binary[10350]: WARNING: gdm_cleanup_children: Slave crashed, killing its
children
Comment 1 Philippe Troin 2007-11-29 02:04:46 EST
Created attachment 272271 [details]
Proposed fix

This fixes it for me.
Comment 2 Ray Strode [halfline] 2007-11-29 10:52:19 EST
Hey,

Mind sending this upstream?  If you're too busy, I can do it.
Comment 3 Philippe Troin 2007-11-30 00:33:30 EST
Please go ahead.
Should I bother filing bugs with you guys if your policy is to "wait for
upstream fixes"?
Phil.
Comment 4 Ray Strode [halfline] 2007-11-30 10:02:27 EST
If the bugs are distro specific (or if you aren't sure) then it makes sense to
file here.  Also, if the bug is high priority (like crashes like this one), then
filing here is right.

This particular case I asked you to move upstream because there's a lot of xdmcp
changes going into the next upstream release, so it makes sense to get this bit
in too.

I watch upstream bugzilla and work on upstream GDM bugs (along with a couple
other people).

In most cases, all fixes need to go to upstream bugzilla anyway, though (either
sooner or later), so if you have a patch already, upstream makes sense.

One situation we try to avoid is carrying a bunch of fixes that never make it
upstream, because then everyone loses.  We have to maintain a patch as the
source code changes, and the other distros don't get to take advantage of fixes.
Comment 5 Ray Strode [halfline] 2007-11-30 13:32:04 EST
Hi Philippe,

Matthias already built GDM 2.20.2 into updates-testing which has a fix similiar
to yours already applied.

Would you mind giving it a try?

The update is here:

https://admin.fedoraproject.org/updates/F8/FEDORA-2007-3951

and the builds are here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=25699

(or you can get them from yum using  yum update --enablerepo=updates-testing gdm)
Comment 6 A S Alam 2008-01-18 01:36:56 EST
Is there anyway to test Remote host on rawhide gdm-2.21.x? 
Comment 7 Bug Zapper 2008-11-26 03:44:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jon Stanley 2008-11-26 12:36:57 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.